GNU bug report logs - #60920
[PATCH 22/25] gnu: go-honnef-co-go-tools: Update to 0.3.3.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60919, #60921, #60922; dated Wed, 18 Jan 2023 01:46:16 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:58 2023
Received: from localhost ([127.0.0.1]:38649 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWY-0007Y6-0t
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:58 -0500
Received: from lists.gnu.org ([209.51.188.17]:44538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW8-0007Ve-7M
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:33 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW7-0002Bh-On
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:31 -0500
Received: from mail-il1-x12c.google.com ([2607:f8b0:4864:20::12c])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW5-000761-Lx
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:31 -0500
Received: by mail-il1-x12c.google.com with SMTP id v6so6853474ilq.3
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=43nHvJpRA1hWMpvhutekOT0xjkJJvpLtSgUsmZUixTk=;
 b=jyspXELVrTZflZ8y9mHcU18Akk4JuVhHyjxRSVZckIB8si4+laji95H3vWeNbsepcq
 3Bz9OmzwTiFkz92pYGzYLVrAU+NpuJack69/q7yaeyjx9tDnF0OLRVBT1/73ZrZFNjS2
 XNDHSOuAt3xkuy4okbfSqHp4rPmJyMBZZwx1WGecGzPGBJXXwxSmmbJCdCZARnN6fnTs
 884NU/43MOcUfOj82QWPs0Lcnr4F/I7VPeH1fJSjrsgtO+6aj1ltbTeaMMsG2zakyef4
 o/qjrh0Yp38zUl5BBmBZ1vNUKsvq/yZRMICAjwBlfNVCYBolTK+bruwBl0Uz+DqcEy6+
 1Beg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=43nHvJpRA1hWMpvhutekOT0xjkJJvpLtSgUsmZUixTk=;
 b=6gmdp6TMxfsRgGwLXdvZy8ZtJqMJrG9w86vK0v6HJABadxAsGw0LbnITbOiFG3oHw1
 vxE0rn34gyjnnk8iwKwkVZxtOzhAAslW6t0E17M2NvAIQnqmmszBzsJaRx7IR35XfkpC
 fmd+uBbyiunVVrBAFXtphRZU2rl0locOozdpDRzAZx2jNgRt75iVFB8+aGVFYUG+IdgT
 hMq6UhtoEq8an6DtEInCpChNJO3uDsGf9UaYrrIVrxq1b4cgU3hR9r/FVM5r9RBPJebm
 2GOW/mwgbf8d4U9x9xIA45gnELm5DD7vLxtN9zR2mFxivqP1sRbLPLcy433Mw3T2xIiR
 UjGg==
X-Gm-Message-State: AFqh2koiijOzZM4VqhWBhL0gopLGJasoVq7iSq5cdEuraNt3m/sfU0U/
 MNwJ+A6kZPolmEfSmuJKtJwZ85O+xec=
X-Google-Smtp-Source: AMrXdXuV0ugOaeZd119P/nx8Hl52zlmnqjFNFMpf2t7ir/g6wAoREEsNS5cdEkE9EfYsk7N+md1Rqw==
X-Received: by 2002:a92:d845:0:b0:30e:eb7c:ce58 with SMTP id
 h5-20020a92d845000000b0030eeb7cce58mr4206205ilq.7.1674006328382; 
 Tue, 17 Jan 2023 17:45:28 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.27
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:27 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 22/25] gnu: go-honnef-co-go-tools: Update to 0.3.3.
Date: Tue, 17 Jan 2023 18:45:07 -0700
Message-Id: <20230118014510.19320-23-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::12c;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x12c.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-honnef-co-go-tools): Update to 0.3.3.
---
 gnu/packages/golang.scm | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 660deceec5..97f1753f42 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -10008,27 +10008,26 @@ (define-public go-github-com-kisielk-gotool
 (define-public go-honnef-co-go-tools
   (package
     (name "go-honnef-co-go-tools")
-    (version "0.1.3")
-    (source
-     (origin
-       (method git-fetch)
-       (uri (git-reference
-             (url "https://github.com/dominikh/go-tools")
-             (commit (string-append "v" version))))
-       (file-name (git-file-name name version))
-       (sha256
-        (base32 "17li8jbw3cpn59kpcl3j3r2an4wkx3fc81xn0j4xgbjpkxh9493n"))))
+    (version "0.3.3")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/dominikh/go-tools")
+                    (commit (string-append "v" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "099z04v7vvwwglnps315s9fmal68xvzlc1g8m26iqi980grbwn32"))))
     (build-system go-build-system)
     (arguments
      `(#:import-path "honnef.co/go/tools"
        #:tests? #f
        ;; Source-only package
-       #:phases
-       (modify-phases %standard-phases
-         (delete 'build))))
-    (propagated-inputs
-     (list go-golang-org-x-tools go-github-com-kisielk-gotool
-           go-github-com-burntsushi-toml))
+       #:phases (modify-phases %standard-phases
+                  (delete 'build))))
+    (propagated-inputs (list go-golang-org-x-exp go-golang-org-x-tools
+                             go-golang-org-x-mod go-github-com-kisielk-gotool
+                             go-github-com-burntsushi-toml))
     (home-page "https://honnef.co/go/tools")
     (synopsis "Staticcheck advanced Go linter")
     (description
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60920; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.